> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notifly.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# ユーザージャーニーをトリガーする

> APIでユーザージャーニーをトリガーし、指定したユーザーをジャーニーに進入させます。

> [!WARNING]
>
> **利用条件**
>
> HTTP APIでユーザージャーニーを開始するには、**進入条件**の**進入時点**で**APIベース進入**を選びます。


## OpenAPI

````yaml /ja/api-reference/openapi.yaml post /projects/{projectId}/user-journeys/{userJourneyId}/enter
openapi: 3.0.3
info:
  title: Notifly API
  version: 1.0.0
  contact:
    email: contact@notifly.tech
servers:
  - url: https://api.notifly.tech
    description: Notifly APIサーバー
security: []
tags:
  - name: catalog
    x-group: カタログ
paths:
  /projects/{projectId}/user-journeys/{userJourneyId}/enter:
    post:
      summary: trigger-user-journey
      operationId: triggerUserJourney
      parameters:
        - name: projectId
          in: path
          required: true
          schema:
            type: string
          description: プロジェクトIDです。
        - name: userJourneyId
          in: path
          required: true
          schema:
            type: string
          description: コンソールで確認できるユーザージャーニーIDです。
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - users
              properties:
                users:
                  type: array
                  items:
                    type: object
                    required:
                      - userId
                    properties:
                      userId:
                        type: string
                        description: ジャーニーに進入させるユーザーのIDです。
                      eventParams:
                        type: object
                        description: メッセージのパーソナライズに使うイベントパラメーターを含むオブジェクトです。
                  description: ジャーニーに進入させるユーザーのリストです。最大1,000件まで指定できます。
            example:
              users:
                - userId: alice
      responses:
        '200':
          description: ユーザージャーニーをトリガーしました。
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  success:
                    type: boolean
                  error:
                    type: string
                    nullable: true
              example:
                code: 200
                success: true
                error: null
        '400':
          description: リクエスト本文の形式が不正です。
          content:
            application/json:
              schema:
                $ref: bc95061a-1bf3-4445-94d1-5c1231f26e5a
        '401':
          description: トークンが無効か期限切れのため、認証に失敗しました。
          content:
            application/json:
              schema:
                $ref: bc95061a-1bf3-4445-94d1-5c1231f26e5a
        '500':
          description: サーバー内部エラーです。
          content:
            application/json:
              schema:
                $ref: bc95061a-1bf3-4445-94d1-5c1231f26e5a
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: '`POST /authenticate`で発行したトークンをBearer形式で送信します。'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.